Commit c11a296d authored by Benoît Thébaudeau's avatar Benoît Thébaudeau Committed by Thomas Petazzoni
Browse files

package/dhcp: fix SysV init scripts output text



Fix various messages displayed by these scripts:
 - make start-stop-daemon quiet in order to avoid extra messages like
   "stopped /usr/sbin/dhcpd (pid 174)" being output between the command
   description and its result,
 - fix the script names in the usage strings.

Signed-off-by: default avatarBenoît Thébaudeau <benoit@wsystem.com>
Signed-off-by: default avatarThomas Petazzoni <thomas.petazzoni@free-electrons.com>
parent 12590c7d
Loading
Loading
Loading
Loading
+3 −3
Original line number Diff line number Diff line
@@ -33,12 +33,12 @@ DHCRELAYPID=/var/run/dhcrelay.pid
case "$1" in
	start)
		printf "Starting DHCP relay: "
		start-stop-daemon -S -x /usr/sbin/dhcrelay -- -q $OPTIONS $IFCMD $SERVERS
		start-stop-daemon -S -q -x /usr/sbin/dhcrelay -- -q $OPTIONS $IFCMD $SERVERS
		[ $? = 0 ] && echo "OK" || echo "FAIL"
		;;
	stop)
		printf "Stopping DHCP relay: "
		start-stop-daemon -K -x /usr/sbin/dhcrelay
		start-stop-daemon -K -q -x /usr/sbin/dhcrelay
		[ $? = 0 ] && echo "OK" || echo "FAIL"
		;;
	restart | force-reload)
@@ -47,7 +47,7 @@ case "$1" in
		$0 start
		;;
	*)
		echo "Usage: /etc/init.d/dhcp-relay {start|stop|restart|force-reload}"
		echo "Usage: $0 {start|stop|restart|force-reload}"
		exit 1
esac

+3 −3
Original line number Diff line number Diff line
@@ -26,12 +26,12 @@ case "$1" in
		printf "Starting DHCP server: "
		test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
		test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
		start-stop-daemon -S -x ${DAEMON} -- -q $OPTIONS $INTERFACES
		start-stop-daemon -S -q -x ${DAEMON} -- -q $OPTIONS $INTERFACES
		[ $? = 0 ] && echo "OK" || echo "FAIL"
		;;
	stop)
		printf "Stopping DHCP server: "
		start-stop-daemon -K -x ${DAEMON}
		start-stop-daemon -K -q -x ${DAEMON}
		[ $? = 0 ] && echo "OK" || echo "FAIL"
		;;
	restart | force-reload)
@@ -43,7 +43,7 @@ case "$1" in
		fi
		;;
	*)
		echo "Usage: /etc/init.d/dhcp-server {start|stop|restart|force-reload}"
		echo "Usage: $0 {start|stop|restart|force-reload}"
		exit 1
esac